#ifndef MIMAINWINDOW_H
#define MIMAINWINDOW_H

#include <QMainWindow>
#include <QTabWidget>
class QAction;

class MIMainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MIMainWindow();
    QTabWidget* tabbar;
    //Compilation options
    QAction* debugCompile;
    QAction* profileCompile;
    QAction* warningCompile;
    QAction* eCompile;
    QAction* exCompile;
    QAction* exxCompile;


public slots:
//    void slotSaveFile();
 //   void slotSaveAs();
	void slotOpenFile();
    void slotNewTab();
    void slotTabClosing( int tab );
    void slotTabChanged( int tab );
    void slotCloseCurrentTab( bool nu );
    void slotNewProject();
    void gettingStartedTab( );
};

#endif // MIMAINWINDOW_H
